#!/bin/bash
# ┌──────────────────────────────────────────────────────────┐
# │ Author: Bruno.Tosta                                      │
# │ Desc: Busca produto direto do banco                      │
# └──────────────────────────────────────────────────── 1.0 ─┘
Menu(){
echo "	┌──────────────────────────────────────────────┐
	│ Código: $CODIGO  	               │
	│ Nome: $NOME		       │
	│ Preço: $PRECO	                               │
	└──────────────────────────────────────────────┘"
}
MenuPromo(){
echo "	┌─ PROMOCAO 	$PROMOCAO ────────────────────────────┐
	│ Código: $CODIGO  	               │
	│ Nome: $NOME		       │
	│ Preço: $PRECO	                               │
	└──────────────────────────────────────────────┘"
}
BuscaPreco(){
while IFS='|' read -r CODIGO NOME PRECO; do
# Pegou o código, nome e preço e jogará formatado para o menu
MenuHTML
done <<< $(PGPASSWORD="$SENHA" psql -U 'openerp' -d "$BANCO" -t -A -F '|' -c "
SELECT SUPITE_CODIGO_ITEM AS CODIGO
       ,NAME              AS NOME
       ,SUPITE_PRECO      AS PRECO
FROM SUPERVISOR_CAD_ITENS
WHERE SUPITE_CODIGO_ITEM LIKE '%$1%'")
}
BuscaPromo(){
while IFS='|' read -r CODIGO NOME PRECO PROMOCAO; do
# Pegou o código, nome, preço e a promoção e jogará formatado para o menu
MenuPromo
done <<< $(PGPASSWORD="$SENHA" psql -U 'openerp' -d "$BANCO" -t -A -F '|' -c "
SELECT SUPPRO4_BARRAS     AS CODIGO
       ,SUPPRO4_DESCRICAO AS NOME
       ,SUPPRO4_PRECO     AS PRECO
       ,SUPPROC_ID_PROMO  AS PROMOCAO
FROM SUPERVISOR_CAD_PROMO_CAPA AS CAPA
INNER JOIN SUPERVISOR_CAD_PROMO4 AS ITENS
ON ITENS.SUPPRO4_CAPA_ID = CAPA.ID
WHERE STATE = '2'")
}
BANCO='cocais'
SENHA=$(grep 'db_password' '/etc/openerp-server.conf' | awk '{print$3}')
[ -z "$1" ] && BuscaPreco $(read -p 'Digite o codigo do produto: ' I && echo "$I") || [[ "$1" = 'promo' ]] && BuscaPromo || BuscaPreco "$1"


